<!--begin::Portlet-->
<div id="attributes-portlet" class="m-portlet">
    <div class="m-portlet__head">
        <div class="m-portlet__head-caption">
            <div class="m-portlet__head-title">
                <span class="m-portlet__head-icon m--hide">
                    <i class="la la-gear"></i>
                </span>
                <h3 class="m-portlet__head-text">
                    Create Product Attributes <small>(Warning: complete attributes and values first, with each change warehouses table will reset!)</small>
                </h3>
            </div>
        </div>
    </div>

    <!--begin::Form-->
    <form class="m-form m-form--fit m-form--label-align-right m-form--group-seperator-dashed scrollable" @submit.prevent="">
        <div class="m-portlet__body">
            <div class="form-group m-form__group row" v-for="(attribute, index) in productAttributes">
                <div class="col-lg-5">
                    <label>Attribute Name:</label>
                    <vue-bootstrap-typeahead :id="'attribute_name_' + index"
                                             ref="attributesAutocomplete"
                                             v-model="productAttributes[index].name"
                                             :data="autocompleteAttributes"
                                             :minMatchingChars="1"
                                             inputClass="form-control m-input"
                                             placeholder="Enter attribute name">
                    </vue-bootstrap-typeahead>
                    <span class="m-form__help">Please enter attribute name</span>
                </div>
                <div class="col-lg-5">
                    <label class="">Attribute Values:</label>
                    <vue-tags-input :id="'attribute_values_' + index"
                                    v-model="productAttributes[index].lastInsertedTag"
                                    :tags="productAttributes[index].values"
                                    placeholder="Enter attribute's values"
                                    @tags-changed="newTags => productAttributes[index].values = newTags">
                    </vue-tags-input>
                    <span class="m-form__help">Please enter attribute's values</span>
                </div>
                <div class="col-lg-2">
                    <a v-if="productAttributes.length > 1" class="btn btn-danger m-btn m-btn--icon m-btn--icon-only btn-delete" @click="removeProductAttribute(index)">
                        <i class="fa fa-trash-alt"></i>
                    </a>
                </div>
            </div>
        </div>
        <div class="m-portlet__foot m-portlet__no-border m-portlet__foot--fit">
            <div class="m-form__actions m-form__actions--solid">
                <div class="row">
                    <div class="col-lg-6">
                        <button type="button"
                                class="btn btn-primary"
                                @click="addProductAttribute"
                                :disabled="disabledAddButton">+ Add</button>
                    </div>
                </div>
            </div>
        </div>
    </form>

    <!--end::Form-->

    <div class="m-portlet__head">
        <div class="m-portlet__head-caption">
            <div class="m-portlet__head-title">
                <span class="m-portlet__head-icon m--hide">
                    <i class="la la-gear"></i>
                </span>
                <h3 class="m-portlet__head-text">
                    Enter Product Variants Warehouses Info
                </h3>
            </div>
        </div>
    </div>

    <!--begin::Portlet-->
    <div class="m-portlet m-portlet--tabs">
        <div v-if="warehouses.length > 0 && selectedWarehouse !== null" class="m-portlet__head">
            <div class="m-portlet__head-tools">
                <ul class="nav nav-tabs m-tabs-line m-tabs-line--primary m-tabs-line--2x" role="tablist">

                    <li v-for="(warehouse, index) in warehouses" class="nav-item m-tabs__item">

                        <a class="nav-link m-tabs__link"
                           :class="warehouse.id == selectedWarehouse.id ? 'active' : ''"
                           @click="selectedWarehouse = warehouse"
                           data-toggle="tab"
                           href="#variant_form"
                           role="tab">
                            <i class="fa fa-warehouse"></i> {{ warehouse.name }}
                        </a>

                    </li>

                </ul>
            </div>
        </div>
        <div class="m-portlet__body">
            <div class="tab-content">

                <div class="tab-pane active" id="variant_form" role="tabpanel">

                    <!--begin: Datatable -->
                    <table class="table table-striped- table-bordered table-hover table-checkable scrollable"
                           :style="variants.length > 0 ? 'display: block;' : ''">

                        <thead>
                            <th>
                                Product Variant
                            </th>
                            <th>
                                SKU
                            </th>
                            <th>
                                Price
                            </th>
                            <th>
                                Quantity
                            </th>
                        </thead>
                        <tbody>

                            <tr v-for="(variant, index) in variants">

                                <td>
                                    <p>
                                        <span class="m--font-primary m--font-boldest">
                                            {{ Object.values(variant['attributes-values']).join(', ') }}
                                        </span>
                                    </p>

                                    <ValidationProvider rules="" v-slot="{ errors }" name="attribute value" :ref="'variants.' + index + '.attributes-values'">
                                        <div v-if="errors.length > 0" class="invalid-feedback" style="display: inline !important;">
                                            {{ errors[0] }}
                                        </div>
                                    </ValidationProvider>
                                </td>

                                <td>
                                    <ValidationProvider rules="required" v-slot="{ errors }" name="sku" :ref="'variants.' + index + '.sku'">
                                        <input type="text"
                                               v-model="variants[index].sku"
                                               class="form-control m-input m-input--pill m-input--air"
                                               :class="{ 'is-invalid': errors.length > 0 }">

                                        <div v-if="errors.length > 0" class="invalid-feedback">
                                            {{ errors[0] }}
                                        </div>
                                    </ValidationProvider>
                                </td>

                                <td>
                                    <ValidationProvider rules="required" v-slot="{ errors }" name="price" :ref="'variants.' + index + '.price'">

                                        <div class="m-input-icon m-input-icon--left m-input-icon--right">
                                            <input type="number"
                                                   min="0"
                                                   step="0.01"
                                                   v-model="variants[index].price"
                                                   class="form-control m-input m-input--pill m-input--air"
                                                   :class="{ 'is-invalid': errors.length > 0 }"
                                                   placeholder="0.00">
                                            <span class="m-input-icon__icon m-input-icon__icon--left"><span><i class="la la-dollar"></i></span></span>
                                        </div>

                                        <div v-if="errors.length > 0" class="invalid-feedback" style="display: inline !important;">
                                            {{ errors[0] }}
                                        </div>
                                    </ValidationProvider>
                                </td>

                                <td>
                                    <input v-for="(warehouse, i) in variants[index].warehouses"
                                           v-show="warehouse.id == selectedWarehouse.id"
                                           type="number"
                                           min="0"
                                           v-model="variants[index].warehouses[i].quantity"
                                           class="form-control m-input m-input--pill m-input--air">
                                </td>
                            </tr>

                            <tr v-if="variants.length < 1">
                                <td colspan="4">
                                    Complete at least one attribute and its values to see combinations.
                                </td>
                            </tr>

                        </tbody>
                    </table>

                </div>
            </div>
        </div>
    </div>

    <!--end::Portlet-->
</div>